Bug 1121980 - [doc] Error and inconsistency in section 4.1.3 'The Self Update Section'
[doc] Error and inconsistency in section 4.1.3 'The Self Update Section'
Status: RESOLVED FIXED
Classification: SUSE Linux Enterprise Server
Product: Beta SUSE Linux Enterprise Server 15 SP1
Classification: SUSE Linux Enterprise Server
Component: Documentation
Beta 2
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Imobach Gonzalez Sosa
E-mail List
https://trello.com/c/iR1jThBX/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-15 10:47 UTC by Christoph Wickert
Modified: 2019-12-02 12:26 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Wickert 2019-01-15 10:47:55 UTC
4.1.3  The Self Update Section

https://susedoc.github.io/doc-sle/develop/SLES-autoyast/single-html/#CreateProfile.General.self_update

seems inconsistent:

When explaining the 'self_update' parameter, it reads:
"Alternatively, you can specify the boot parameter self_update on the kernel command line."

However the next paragraph explaining the 'self_update_url' paramter, reads:
"Alternatively, you can specify the boot parameter self_update together with self_update=1 on the kernel command line."

This raises two questions:

1. As 'self_update' is a boolean, shouldn't the first sentence read
"Alternatively, you can specify the boot parameter self_update=1 on the kernel command line."?
We should use either 'self_update' or 'self_update=1' consistently in both sentences.

2. Shouldn't the second sentence read:
"Alternatively, you can specify the boot parameter self_update together with self_update=$URL on the kernel command line."?
We should mention that the second 'self_update' needs an actual URL.

Bonus question:
It's confusing that we have two different parameters in AutoYaST (self_update and self_update_url) but only one on the kernel command line. If self_update is a boolean, it should not be used for the URL. Instead, the kernel command line should know self_update_url, too. What would it take to change this?
Comment 1 Imobach Gonzalez Sosa 2019-01-15 12:25:16 UTC
(In reply to Christoph Wickert from comment #0)
> 4.1.3  The Self Update Section
> 
> https://susedoc.github.io/doc-sle/develop/SLES-autoyast/single-html/
> #CreateProfile.General.self_update
> 
> seems inconsistent:
> 
> When explaining the 'self_update' parameter, it reads:
> "Alternatively, you can specify the boot parameter self_update on the kernel
> command line."
> 
> However the next paragraph explaining the 'self_update_url' paramter, reads:
> "Alternatively, you can specify the boot parameter self_update together with
> self_update=1 on the kernel command line."
> 
> This raises two questions:
> 
> 1. As 'self_update' is a boolean, shouldn't the first sentence read
> "Alternatively, you can specify the boot parameter self_update=1 on the
> kernel command line."?
> We should use either 'self_update' or 'self_update=1' consistently in both
> sentences.

Yes, you are right.

> 2. Shouldn't the second sentence read:
> "Alternatively, you can specify the boot parameter self_update together with
> self_update=$URL on the kernel command line."?
> We should mention that the second 'self_update' needs an actual URL.

You are right again.

> Bonus question:
> It's confusing that we have two different parameters in AutoYaST
> (self_update and self_update_url) but only one on the kernel command line.
> If self_update is a boolean, it should not be used for the URL. Instead, the
> kernel command line should know self_update_url, too. What would it take to
> change this?

Yes, it is pretty confusing. I am not against changing it, but I guess we should allow our users to use the old self_update=$URL by now (just to be backward compatible) and add a new self_update_url= option on the kernel command line.
Comment 2 Christoph Wickert 2019-01-21 14:37:20 UTC
Fixed in devel/SLE15 SP1: https://github.com/SUSE/doc-sle/commit/feb8a5c
SLE 15 SP0: https://github.com/SUSE/doc-sle/commit/280dc59
Comment 3 Christoph Wickert 2019-01-21 14:49:34 UTC
Fix for SLE 12 SP4: https://github.com/SUSE/doc-sle/commit/0c171d4

Documentation work is done, only the change of the kernel boot option (self_update to self_update_url) is still to be done – or not, you decide. I'm reassigning the bug you and changing it back to "new'. Feel free to close it if you think it's not worth the hassle.
Comment 4 Imobach Gonzalez Sosa 2019-12-02 12:26:11 UTC
For the time being, we are keeping the option as it is. Thanks!